How to Upgrade PrestaShop

Upgrading PrestaShop is a snap with the 1-Click Upgrade module! Follow the instructions below to upgrade to the new version quickly.

How to upgrade to PrestaShop

  1. Log into your Prestashop 1.5 admin dashboard.
  2. From the upper menu toolbar, hover over the Modules tab and click on the Modules option.

  3. Arriving at the Modules list page, locate the 1-click Upgrade module and click on the Install button if it is not already installed.

  4. Once installed, click on the Update It button for the 1-Click Upgrade module.
  5. This brings up the checklist for performing the upgrade. You should only notice a single red X on the list. This is because your site is not yet in Maintenance Mode. Click the button there to set it to Maintenance Mode.

  6. You will now see the same checklist. It should now be all green. Click on the Upgrade PrestaShop Now! link.

  7. The next screen will show you the status of the upgrade by displaying the files being modified on the screen. Once you have completed the upgrade you will see a successful completion message. You can now visit your site. You will notice it is in Maintenance mode still.

  8. From here you will need to remove the maintenance mode. Once again, visit your admin dashboard and log in.

  9. Click on the Preferences tab on the navigation menu and then select Maintenance

  10. Now simply click the Enable Shop slider and it will set to Yes (the green side)

  11. Click on the Save button in the lower right to activate the setting.

Now that you have successfully upgraded your PrestaShop 1.5 store to version 1.6 you can visit your store and see the new look!

PrestaShop 1.5 PrestaShop 1.6

Thoughts on “How to Upgrade PrestaShop

  • Having difficulty upgrading from 1.5.6.3 to the latest 1.7

    [ERROR] /home/prestafolder/public_html/admin259123123/autoupgrade/latest/prestashop does not exist or is not a directory.  

    any ideas on what is wrong here?

    • Sorry for the problem with upgrading from 1.5 to 1.7. The upgrade is often discussed in the PrestaShop Community forums. You may find better assistance through their forums or you can speak with their Support team directly. I would recommend upgrading to 1.6 first, then to 1.7. There are also tools that you can purchase that would make the migration easier. However, they are not free.

  • Hi! I wanna upgrade my prestashop 1.6 but when I click on ‘install’, it occur like below;

    [PrestaShop] Fatal error in module file :/home/kurtaalh/public_html/modules/autoupgrade/classes/UpgradeTools/Translator.php:
    syntax error, unexpected ‘class’ (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or ‘{‘ or ‘$’

     

    What should I do? and may I know why it is occur like this?

    • Unfortunately, there are not enough details to properly diagnose the issue with your upgrade. I recommend ensuring that you are using the correct version of PHP to troubleshoot this kind of error. However, it may require that you further investigate the server logs to identify why this is occurring and how to prevent it from continuing to occur.

  • +Checks How do I fix this error?

    All the following points must be ok in order to allow the upgrade.
    Module version up-to-date (0.7) nok
    Root directory is fully writable : ok
    Shop deactivated : ok
    Cache deactivated : ok
    PHP time limit disabled : ok
    Options chosen : ok
    All required points to allows upgrade have been checked.
    • Hello,

      That error is showing because the permissions are incorrect, Generally, files should be set to 644 and files should be 755 and the files are owned by the user your web service is running as.

      Best Regards,
      Kyle M

  • Hi, tried upgrading my website using prestashop but ran into an error message. Now that I have to use my webiste the cache isn’t automatically clearing. The cache builds up and I have to manually clear the cash which is effecting my business and people can’t access it as when the cache fills up the web site crashes. Any ideas why the cache isn’t clearing automatically.

     

    thanks for your help in advance

    Louise

    • Hello Louise,

      The best place for answers on this particular subject is in the PrestaShop Support community. Check out this post in regards to clearing the cache automatically.

      If you have any further questions or comments, please let us know.

      Regards,
      Arnel C.

  • Error found : Extra content at the end of the document in must_have_module_list.xml file.

    Hello guys i really need some help with this one

    Any help is appreciated

    • Hello Enid,

      We need a little more detail on this issue. Are you upgrading to PrestaShop16? And what version are you upgrading from? When does this error occur? Please provide a little more detail and we can investigate it further.

      If you have any further questions, please let us know.

      Kindest regards,
      Arnel C.

  • Hello,

    I would like to upgrade my prestashop from 1.6.1.0 to 1.6.1.1. But do i have to uninstall even the default prestashop  modules before upgrading to latest version?

    And how about the third party modules, do i have to uninstall them before upgrading to latest prestashop version?

     

    I will be happy to hear from you soon

     

    THANK YOU

    rONNIE

    • Hello Ronnie,

      The upgrader will simply overwrite the existing files or remove them and then upload new ones. You do not have to do that yourself.

      Kindest Regards,
      Scott M

  • Hello,

    I try to upgrade my current version 1.5 to 1.6.1  but the system shows the following message: Download complete. Now extracting…

     

    [Ajax / Server Error for action unzip] textStatus: “error ” errorThrown:”Service Unavailable ” jqXHR: ” “

    It looks like an issue with the unzip. How can I solve this problem.

    thanks for the anser.

    regards.

    Mark

    • Hello Mark,

      I checked on some PrestaShop forum threads and they said it could be due to your PHP memory limit and execution time. Please edit your php.ini file to these settings:

      memory_limit 128M,
      max_execution_time 800

      Best Regards,
      TJ Edens

    • Hello,

      You will need to review your modules and check to make sure that there are NO modules that require updating after the auto-update has been completed. If you have loaded custom-modules, then it’s recommended that you double-check them to see if an update is available as the autoupdate may not have included them.

      I hope this helps to answer your question, please let us know if you require any further assistance.

      Arnel C.

    • Hello,

      Sorry for the problem with the theme and your graphics. You will basically need to go through all of your graphics and re-sizing your images for the new version. You can do a lot of this within the PrestaShop 1.6 Admin.

      I hope this helps to answer your question, please let us know if you require any further assistance.
      Arnel C.

  • Scott says:

    Hello Scott, You will also need to update modules and then make some display adjustments. This seems to be normal for upgrading from 1.5 to 1.6. Kindest Regards, Scott M

     

    What modules will I need to update that is not done in the Automatic upgrade? 

     

     

    • Hello Scott,
      You will also need to update modules and then make some display adjustments. This seems to be normal for upgrading from 1.5 to 1.6.

      Kindest Regards,
      Scott M

  • I had try uninstall and install the 1 click upgrade module. When i click the configure button it show Uh-oh, something went wrong! Error Code: 500. I not able to see the page for the checklist. What should i do?

    • Hello Vivian,

      A 500 error commonly occurs due to an .htaccess misconfiguration or incorrect php version. Can you tell us what php version you are running?

      Kindest Regards,
      Scott M

    • I try with automatic update but when I try to log in I didn’t see the CSS and all web site ( backend ) it’s wrong

    • Hello Fernando,

      Yes, the upgrades will include the database, though in 1.6 the core itself did not change. I am unsure if there are any changes to the database structure.

      Kindest Regards,
      Scott M

  • All data migration to 1.5, 1.6 CSV import/export Module

    This module can help you. Export/Import all favorite data from prestashop from 1.4 to 1.5/1.6 & 1.5 to 1.6

    This module allows you to export any size all data(Categories, Products, Combinations, Customers, Addresses, Manufacturers, Suppliers) from PrestaShop 1.4.X to PrestaShop 1.5.X and 1.6.X. Also from 1.5.X to 1.6.X without data lose. Usage of this module doesn’t require any special technical skills, it is easy to use. It help you to save your time from routine work of manual data migration.

    http://addons.prestashop.com/en/export-modules/8934-all-data-migration-to-15-16-csv-import-export.html

  • I am trying to upgrade from 1.5.4.1 to 1.6.0.9 via 1-Click Upgrade.

     

    In that page, Version Comparison section data is not coming. Only the Processing images are there. 

     

    And due to that, I am not able to upgrade the latest version.

    • Hello Venkat,

      What is the exact error message you are receiving and what are the steps you are taking to get the error?

      Kindest Regards,
      Scott M

  • it was becuse of this module “shipwire ” i just disabled it , upgraded well , but now i have working back office and blank front office , i increased the memory limit but stayed the same , the debug mode gave me this message “Strict Standards: Declaration of Dispatcher::loadRoutes() should be compatible with that of DispatcherCore::loadRoutes() in /home1/cctronic/public_html/override/classes/Dispatcher.php on line 16


    Strict Standards: Declaration of FrontController::addCSS() should be compatible with that of FrontControllerCore::addCSS() in/home1/cctronic/public_html/override/classes/controller/FrontController.php on line 131

    Warning: require_once(/home1/cctronic/public_html/override/classes/controller/../../../modules/cloudcache/cloudcache.php) [function.require-once]: failed to open stream: No such file or directory in/home1/cctronic/public_html/override/classes/controller/FrontController.php on line 78

    Fatal error: require_once() [function.require]: Failed opening required ‘/home1/cctronic/public_html/override/classes/controller/../../../modules/cloudcache/cloudcache.php’ (include_path=’/home1/cctronic/public_html/tools/htmlpurifier/standalone:.:/usr/lib64/php:/usr/share/pear’) in /home1/cctronic/public_html/override/classes/controller/FrontController.php on line 78

    • Hello Karam,

      The current PrestaShop version does not support that version of Cloudcache. There are a couple of things that you can do. One is to rollback to the previous version and keep the cloudcache module active. The other is to rollback, remove the cloudcache module, and then upgrade so you can proceed without it. I assume they will make it compatible in a future 1.6 version, but that is not the case currently.

      Kindest Regards,
      Scott M

  • I uploded the zipped file to /admin/autoupgrade/download
    and nothing happned 

    I also tried to upload unzipped verson to /admin/autoupgrade/latest/prestashop/
    and nothing happend 

    The stranger thing is that the save button is not working in “start your upgrade” section also I need help deleting the module cash, cz it keeps the old sittings 

    • Hello karam,

      We are happy to help, but will need some additional information to try and troubleshoot the issue.

      Have you checked your file permissions, to ensure you are able to make changes to the files/folders?

      I also found a post in the Official Prestashop Forums, where they are discussing a similar issue.

      If you have any further questions, feel free to post them below.

      Thank you,
      John-Paul

  • sorry for late reply but it seems i didnt notfied abt ur comment, my current prsta is 1.5.5 and the module is 1.4.3, i have used the module before and it was great, another thing i noticed is the save button in the first section is not working 
    ** presta is manually installed 

    • As it cannot locate an upgrade package, try downloading the newest version of PrestaShop and placing the zip file within the path specified.

  • I would like to update my version from 1.5.3 to 1.5.6. I have installed 1 click update module. if i check new version availability it shows your are using latest version.

    • Hello Midun,

      Be sure you are not on PrestaShop version 1.6. Also, the 1-click-upgrade will update you to 1.6, not 1.5.6. If you wish to upgrade to a version that is not the most recent, you will need to do a manual upgrade.

      Kindest Regards,
      Scott M

  • Hello,

    With the v1.6 I face a problem with pdf selling. Each time I create a new article with a pdf downloadable, prestashop create several entries in the database for the same pdf (table : ps_download_product, colomn : filename). For my part I’ve got about 200000 pdf doublons loaded for each article and my 1GB data base is full ! We checked all parameters with my provider and we conclude it is a bug in prestashop or one of is native module.

    Do you know this problem ? Can you help me ?

    Thank you

    • Hello,

      We have not seen or heard of this issue before. Is it just when you create a pdf downloadable product? We would like to test it ourselves and see what we can find. What specific issue of PrestaShop are you running?

      Kindest Regards,
      Scott M

  • Hi, 

    thanks for the tutorial but i am having a problem, whne clicking Upgrade Prestashop now! the page reloads with thhis this msg “No archive found in your admin/autoupgrade/download directory”.    

    this msg appears under “allow major upgrade check box” , i have used this module before without such problems.

    thanks for any reply  

     

    • Hello Karam,

      What is the specific version of PrestaShop from which you are upgrading? Also, are you one of our customers? If so, did you install the current version of PrestaShop with the Softaculous tool or was it a manual installation?

      Kindest Regards,
      Scott M

  • Hello John- Paul,

     

    Thanks for your reply, but the error I receive is not from the php, but the line before ..

    I see now that the copy paste put all the lines behind each other… The problem is that the system keeps saying that “PrestaShop’s caching features are disabled “, but chache, as wel as smarty cache are turned on..

    So how can I work past this..?

    Thanks 

     

    Rgds

    Bob

     

    • Hello Bob,
      Be sure that the caching (Smarty and otherwise) are turned off. The checklist is trying to ensure they are not on at the time of the upgrade.

      Kindest Regards,
      Scott M

  • I am trying to update, but in the checklist keep receiving th efollowing error..

    The pre-Upgrade checklist

     

    The checklist is not OK. You can only upgrade your shop once all indicators are green.

    Before starting the upgrade process, please make sure this checklist is all green.

    The 1-click upgrade module is up-to-date (your current version is v1.3.13) ok
    Your store’s root directory must be writeable (with appropriate CHMOD permissions) ok
    PHP’s “Safe mode” option is turned off ok
    PHP’s “allow_url_fopen” option is turned on, or cURL is installed ok
    Your store in maintenance mode ok
    PrestaShop’s caching features are disabled nok
    PHP’s time limit setting (max_execution_time) must be high or disabled entirely (Current value: unlimited) ok

    Please also make sure you make a full manual backup of your files and database.

    Caching is enabled, i’ve disabled en re enabled several times, but the error remains..

     

    Caching Caching

    Caching systemen worden gebruikt om de snelheid van de winkel te versnellen door middel van het opslaan van gegevens in het servergeheugen. Zo word de druk op de database verminderd.

      

    Cache systeem in- of uitschakelen

     

    Any idea’s?

    Thanks in advanc,

    rgds

    Bob

     

  • There is a way to upload the Prestashop 1.6 files to your server and then you can upgrade from a local server location instead of the remote prestashop server. I had to do this for some reason when upgrading to Prestashop 1.6. I forget the exact details, but there’s an advanced option in the upgrade. Seems there was a folder location I had to upload the 1.6 zip file, then I could select it to upgrade. 

    Perhaps with this info you can modify your search to find the information you need. Good luck!

    • Hello again Fernando,

      If you run into any issues during the upgrade process you can definitely come back and ask us for help. At this time we do not currently perform upgrades ourselves for users.

      One thing that you might want to be aware of after upgrading to PrestaShop 1.6 is that your cart block could move out of position which requires a few tweaks to fix.

      – Jacob

  • I would like to contract Inmotion hosting but before that I have to be sure that your hosting supports the upgrading of Prestashop 1.5.0.7 to 1.6.

    • Hello Fernando,

      Yes you should be able to upgrade PrestaShop 1.5.0.7 to 1.6 on our servers. After setting up the 1-Click Upgrade module, you should be able to run the pre-upgrade checklist which would indicate any problems with your version of PrestaShop being automatically upgraded.

      When you see the Check if a new version is available button, you’ll want to be sure to click on More options (Expert mode) and ensure that Major releases is selected from the Channel drop-down. That way it doesn’t default to just upgrading you to the latest 1.5.x version and instead does do the 1.6 upgrade.

      Please let us know if you have any other questions at all.

      – Jacob

  • A common problem, and one that I am experiencing, seems to be that during the db backup phase of the upgrade, the process hangs and a dialogue box displaying “Javascript error (parseJSON) detected for action “backupDb”.Starting restoration” appears. Do you have any thoughts on what might be causing this? If it helps, mine is a large store with over 70,000 products (www.tooltrolley.co.uk)

    • From research that I have done on the issue, it looks like one of the causes is PDO and MySQLi not being enabled. If you are hosted with us, try renaming your php.ini file to something like php.ini.old to make it inactive and use the server default. Updating your PHP version may also help as well. If you are not hosting with us, I recommend contacting your host to determine how these changes would be made.

  • Hi, I tried to use this module. Shop’s current version is 1.5.6.0 and I am upgrading to 1.6 with this module. But I am receiving error “You already have the 1.5.6.0”. Any information.

    • Hello Satyen,

      In the PrestaShop forum, some people had a similar error; a possible solution could be to

      • Uninstall, then re-install the 1-click Upgrade module
      • Manually delete the folder: modules/autoupgrade

      If you have any further questions, feel free to post them below.
      Thank you,

      -John-Paul

  • Hi, thanks for quick answer. PHP memory limit is set to 256MB and thats enough I think. Is there a simple way I can manually update prestashop ?

    Dominik

    • Prestashop’s steps to manually upgrade your PrestaShop installation have been deprecated and they recommend against attempting to do so. That process is also quite long and can cause various other issues. I recommend further increasing your PHP memory limit to use to upgrade methor from within PrestaShop.

    • Hello Dominik,

      The error that you’re receiving TypeError: res is null in index.php relating to a PrestaShop upgrade, could be coming from a PHP memory size exausted error. Although that should be showing up in your error logs as well.

      If that’s not the issue, we would more than likely need to more closely inspect your website in order to determine what could be going wrong.

      Please let us know if you had any other questions at all.

      – Jacob

  • I have the same problem. I set the maintenance mode and all the fields on checklist are green. But clicking on Upgrade Prestashop Now is doing nothing. Also if i copy and execute link from the button it only redirect me back to 1-click Upgrade page.

    I have Prestashop 1.5.6.2

    • Hello Dominik,

      We are happy to help, but will need more information to provide a detailed answer.

      Turning on error reporting in Prestashop can help provide more information in regards to the problem.

      If you have any further questions, feel free to post them below.
      Thank you,

      -John-Paul

    • In our testing, we have confirmed that these steps are working. Could you clarify exactly what issues you are running into?

Leave a Reply